Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 560366 - net-libs/phodav: 1.0 and 2.0 slot are incompatible with USE=spice
Summary: net-libs/phodav: 1.0 and 2.0 slot are incompatible with USE=spice
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-13 19:28 UTC by Matthew Dawson
Modified: 2021-05-04 03:08 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Dawson 2015-09-13 19:28:01 UTC
While preforming a system update, I received a conflict between the different versions of phodav.  Error message:

 * Messages for package net-libs/phodav-2.0-r1:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). See
 * http://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how to
 * solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 * 
 * Detected file collision(s):
 * 
 *      /usr/lib/systemd/system/spice-webdavd.service
 *      /lib/udev/rules.d/70-spice-webdavd.rules
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * net-libs/phodav-0.4:1.0::gentoo
 *      /lib/udev/rules.d/70-spice-webdavd.rules
 *      /usr/lib/systemd/system/spice-webdavd.service
 * 
 * Package 'net-libs/phodav-2.0-r1' NOT merged due to file collisions. If
 * necessary, refer to your elog messages for the whole content of the
 * above message.

I only need phodav for spice-gtk, which required the new slot.

Reproducible: Always




emerge --info:

Portage 2.2.20.1 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-4.9.3, glibc-2.20-r2, 4.0.5-gentoo x86_64)
=================================================================
System uname: Linux-4.0.5-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1100T_Processor-with-gentoo-2.2
KiB Mem:    16371452 total,   1749884 free
KiB Swap:   16777212 total,  16212884 free
Timestamp of repository gentoo: Sat, 12 Sep 2015 23:03:47 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.24 p1.4) 2.24
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.3_p39::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r1::gentoo, 3.3.5-r1::gentoo, 3.4.1::gentoo
dev-util/ccache:          3.1.9-r4::gentoo
dev-util/cmake:           2.8.12.2-r2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.24-r3::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo/gentoo-portage-rsync-mirror
    priority: -1000

hasufell
    location: /var/lib/layman/hasufell
    masters: gentoo
    priority: 0

kde
    location: /var/lib/layman/kde
    masters: gentoo
    priority: 1

fouxlay
    location: /var/lib/layman/fouxlay
    masters: gentoo
    priority: 2

qt
    location: /var/lib/layman/qt
    masters: gentoo
    priority: 3

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 4

MyLocal
    location: /usr/local/portage
    masters: gentoo
    priority: 5

godin
    location: /var/lib/layman/godin
    masters: gentoo
    priority: 6

Installed sets: @kde-frameworks, @qt5-addons, @qt5-essentials, @qt5-tools
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA skype-4.0.0.7-copyright google-chrome AdobeFlash-11_beta AdobeFlash-11.x Google-TOS FAH-EULA-2009 GIMPS FAH-EULA-2014 creduce"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -ggdb3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -ggdb3"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles installsources merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://gentoo.mirrors.tera-byte.com/ http://gentoo.arcticnetwork.ca/"
LANG="en_CA.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j6 -l14"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext X a52 aac acl acpi aio akonadi alsa amd64 analitza ap apng attica avahi bash-completion berkdb bittorrent bluray branding broadway btrfs bzip2 c++0x cairo caps cdda cdio cdr cgi clang cli clucene cmake color-management colorio cracklib crypt cups curl curlwrappers cxx dbus declarative designer dia disable-watermark docbook dot dpi dri dts dvd dvdr ebook egl eigen emboss encode epub equalizer evdev exif expat extra extras faac fam ffmpeg fftw firefox firewire flac fontconfig fortran ftdi g3dvl gbm gcrypt gd gd-external gdbm gif git glamor gles gles1 gles2 glew gmp gnumeric gnutls go gpg gphoto2 gpm gsl gstreamer gtk gtk3 gtkstyle html http iconv icu id3tag ieee1394 imagemagick infinality inotify int-quality ipv6 jadetex jit jpeg jpeg2k json kde kde4 kdenlive kdepim kdrive kerberos kipi kms kolab kpathsea kvm lame latex lcdfilter lcms libav-aac libkms libnotify libsamplerate libssh2 libwww llvm llvm-shared-libs lm_sensors localstorage logrotate lv2 lxc lzma mad marble matroska mdnsresponder-compat melt mikmod minizip mmx mmxext mng mod modules mp3 mp4 mpeg mplayer mpx msn mtp multilib multimedia musicbrainz mysql mysqli mysqlnd ncurses nepomuk netapi network-cron nfsdcld nfsidmap nfsv41 nls nptl nss ntfs ntp ofa ogg okteta openal opencl opengl openmax openmp openssl optimized-qmake otr overlay p2p pam pango pcap pcntl pcre pcre16 pdf pdo perl pgo phonon pic pkcs11 plasma png policykit popcnt postgres postproc ppds prison pulseaudio python qalculate qemu qemu-ifup qml qt3support qt4 qt5 r600-llvm-compiler raster rdesktop rdp readline reflection resolvconf reviewboard right_timezone rss samba sasl script scripttools sdk sdl sdl2 seccomp secure-delete semantic-desktop session smp sndfile socks5 solver spell spice sql sqlite sqlite3 sse sse2 sse3 sse4a ssh1 ssl startup-notification subversion svg symlink system-cairo system-icu system-jpeg system-jsoncpp system-libCg system-libvncserver system-libvpx system-sqlite systemd sysv-utils taglib tcpd telepathy theora threads thumbnail tiff tinfo tk truetype twolame udev udisks unicode unlock-notify unwind upower usb usbredir utils v4l v4l2 vaapi vboxwebsrv vc vde vdpau virt-network virtfs vlc vnc vorbis wayland wayland-compositor webdav webgl webkit widgets wireshark-plugins wps wxwidgets x264 x265 xattr xcb xcomposite xephyr xetex xinerama xkb xlib-xcb xml xmlpatterns xorg xscreensaver xt xv xvfb xvid xvmc zeroconf zip zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="author braindump flow karbon kexi krita sheets stage words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="emu multiboot pc qemu" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver pdfimport" LINGUAS="en" NETBEANS_MODULES="apisupport java javafx profiler groovy" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="*" QEMU_USER_TARGETS="*" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="radeonsi radeon amdgpu vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Gilles Dartiguelongue gentoo-dev 2015-09-16 07:19:43 UTC
There is indeed a problem with the udev rule and the init service not respecting the slot.
Comment 2 Pacho Ramos gentoo-dev 2017-01-31 21:24:43 UTC
Well... the old version was removed long time ago :/... maybe we could close this (other option would be to get a patch and try to upstream it for the case upstream wants to make versions parallel installable in the future)
Comment 3 Matthew Dawson 2017-02-04 08:46:10 UTC
Is it worthwhile to put a breaks dependency on the new package, to ensure any late upgrades don't get caught by this?  I'll submit a PR if this is worthwhile.

Otherwise this issue can be closed from my side.